Subject: Re: [PATCH 0/5] Show extra branch refs in gitweb v6

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Dec 2013 12:37:28 -0800

Krzesimir Nowak <[email-masked]> writes:

> First patch just adds a comment I though would be useful when trying
> to understand how config parsing is done.
>
> Second patch splits some code to a function.
>
> Third patch fixes validation functions to return either 0 or 1,
> instead of undef or passed $input.
>
> Fourth patch adds the extra-branch-feature and some documentation.
>
> Fifth patch adds some visual differentation of branches from
> non-standard ref directories.
>
> Krzesimir Nowak (5):
>   gitweb: Add a comment explaining the meaning of $/
>   gitweb: Move check-ref-format code into separate function
>   gitweb: Return plain booleans in validation methods
>   gitweb: Add a feature for adding more branch refs
>   gitweb: Denote non-heads, non-remotes branches
>
>  Documentation/gitweb.conf.txt |  27 +++++++
>  gitweb/gitweb.perl            | 166 +++++++++++++++++++++++++++++++++---------
>  2 files changed, 160 insertions(+), 33 deletions(-)

Thanks; I'll tentatively queue 2 thru 5 on 'pu', but people are
feeding good suggestions on it, so I'd expect further rerolls.

A tip: "git format-patch -v7 --cover-letter" may be handy.